> For the complete documentation index, see [llms.txt](https://developers.myscreators.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.myscreators.com/en/getting-started/authentication.md).

# Authentication

Authenticate every request with the authtoken header.

The API uses **token** authentication. Every request must include the `authtoken` header with your installation token.

{% hint style="info" %}
**Required header**

```http
authtoken: YOUR_TOKEN
```

{% endhint %}

{% hint style="warning" %}
The token is bound to **a full M\&S installation**. To work with a different installation, generate a new token there.
{% endhint %}

## Example: list tickets

{% tabs %}
{% tab title="cURL" %}

```bash
curl -H "authtoken: YOUR_TOKEN" \
  "https://crm.myscreators.com/index.php/api/tickets"
```

{% endtab %}

{% tab title="JavaScript (fetch)" %}

```javascript
const res = await fetch(
  "https://crm.myscreators.com/index.php/api/tickets",
  { headers: { authtoken: "YOUR_TOKEN" } }
);
const data = await res.json();
console.log(data);
```

{% endtab %}

{% tab title="PHP" %}

```php
$ch = curl_init("https://crm.myscreators.com/index.php/api/tickets");
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_HTTPHEADER, ["authtoken: YOUR_TOKEN"]);
$response = curl_exec($ch);
curl_close($ch);
```

{% endtab %}
{% endtabs %}

{% hint style="danger" %}
**Never** publish your token or embed it in client-side code accessible to third parties. Treat the `authtoken` like a password.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers.myscreators.com/en/getting-started/authentication.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
